Package: org.grails.plugins

## [Java] Class IncludingPluginFilter

- org.grails.plugins.IncludingPluginFilter

- Implementation of `PluginFilter` which ensures that only the supplied plugins (identified by name) as well as their dependencies are included in the filtered plugin list.

  Authors:
    Phil Zoio

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BasePluginFilter` | `nameMap`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IncludingPluginFilter (java.util.Set included)`
    `IncludingPluginFilter (java.lang.String... included)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)`
    `` | `protected java.util.List` | `getPluginList(java.util.List original, java.util.List pluginList)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BasePluginFilter` | `addPluginDependencies, filterPluginList, getAllPlugins, getNamedPlugin, getPluginList, getSuppliedNames, isDependentOn, registerDependency`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public IncludingPluginFilter(java.util.Set included)

    - #### public IncludingPluginFilter(java.lang.String... included)

  - ### Method Detail

    - #### @java.lang.Override protected void addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)

    - #### @java.lang.Override protected java.util.List getPluginList(java.util.List original, java.util.List pluginList)